html-duration-picker.js
=========
![npm](https://img.shields.io/npm/v/html-duration-picker?color=f00)
![Push Basic Tests](https://github.com/nadchif/html-duration-picker.js/workflows/Push%20Basic%20Tests/badge.svg)
![GitHub file size in bytes](https://img.shields.io/github/size/nadchif/html-duration-picker.js/dist/html-duration-picker.min.js)
![GitHub top language](https://img.shields.io/github/languages/top/nadchif/html-duration-picker.js)
![GitHub](https://img.shields.io/github/license/nadchif/html-duration-picker.js)

![GitHub pull requests](https://img.shields.io/github/issues-pr/nadchif/html-duration-picker.js)
![GitHub issues](https://img.shields.io/github/issues/nadchif/html-duration-picker.js)
[![first-timers-only](https://img.shields.io/badge/first--timers--only-friendly-blue.svg?style=flat-square)](https://www.firsttimersonly.com/)


html-duration-picker.js is a very tiny JS library used for transforming a native HTML text input into a duration picker. The aim is for the picker to feel like a native element as much as possible.

**BEFORE** ```<input type="text"> ```

![Default Input](https://github.com/nadchif/html-duration-picker.js/blob/master/screenshots/default-before.jpg)

**AFTER** ```<input type="text" class="html-duration-picker">```

![Duration Picker Input](https://github.com/nadchif/html-duration-picker.js/blob/master/screenshots/default-after.jpg)


[See Live Demo](https://nadchif.github.io/html-duration-picker.js/)

Why use html-duration-picker? 

* Tiny (~6kb)
* No additional dependencies (CSS, jQuery, etc)
* Bootstrap 3 and Bootstrap 4 Compatible
* Angular Compatible
* You can modify and improve it :-)
* Absolutely FREE!

## License

Apache-2.0

## Contributions
Contributions and suggestions are very welcome and wanted. I try to respond to pull requests within 48 hours. For more information see [CONTRIBUTING.md](https://github.com/nadchif/html-duration-picker.js/blob/master/CONTRIBUTING.md).

## Documentation
See [DOCUMENTATION.md](https://github.com/nadchif/html-duration-picker.js/blob/master/DOCUMENTATION.md) for instructions on how to install and use it in your project.


